MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024648Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-02-19 19:212014-05-05 13:38
Reporteremv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024648: Different types of intersection curves between Cone and Torus with a different order of arguments
DescriptionDifferent types of intersection curves between Cone and Cylinder with a different order of arguments.
Steps To Reproducecone s1 60 0
torus s2 30 20
intersect i s1 s2
# i_1 i_2 i_3 i_4 i_5 i_6
dump i_1
# *********** Dump of i_1 *************
# BSplineCurve

intersect i1 s2 s1
# i1_1 i1_2 i1_3 i1_4 i1_5 i1_6
dump i1_1
# *********** Dump of i1_1 *************
# Trimmed curve
# Parameters : 1.5707963267949 7.85398163397448
# Basis curve :
# Circle
Additional information
and documentation updates
Correct treatment of the cases with Cone and Torus.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24648
Attached Files

- Relationships

-  Notes
(0027976)
emv (developer)
2014-02-20 10:52

Git branch CR24648 is ready to be reviewed.
(0027977)
pkv (developer)
2014-02-20 11:13

reviewed
(0027983)
mkv (tester)
2014-02-20 15:57

Dear BugMaster,

Branch CR24648 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: e2646ff2e0b7e0520ef8f3442365d71eec98b2a6

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24648-master-occt/Debian60-64/bugs/modalg_5/bug24648.html [^]
http://occt-tests/CR24648-master-occt/Windows-32-VC9/bugs/modalg_5/bug24648.html [^]
bugs modalg_5(010) bug24648: OK

Testing on Linux:
Total MEMORY difference: 382728492 / 383419896
Total CPU difference: 42317.56000000008 / 42572.35999999976

Testing on Windows:
Total MEMORY difference: 429289336 / 429063576
Total CPU difference: 35108.296875 / 33299.265625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 1d18c75e
Timestamp: 2014-02-20 13:14:04
Author: emv
Committer: apn
Details ] Diff ]
0024648: Different types of intersection curves between Cone and Torus with a different order of arguments

Correct treatment of the cases with Cone and Torus.
Test cases for issue CR24648
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24648 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-19 19:21 emv New Issue
2014-02-19 19:21 emv Assigned To => emv
2014-02-19 19:21 emv Status new => assigned
2014-02-20 10:52 emv Note Added: 0027976
2014-02-20 10:52 emv Assigned To emv => pkv
2014-02-20 10:52 emv Status assigned => resolved
2014-02-20 10:52 emv Additional Information Updated View Revisions
2014-02-20 11:13 pkv Note Added: 0027977
2014-02-20 11:14 pkv Assigned To pkv => mkv
2014-02-20 11:14 pkv Status resolved => reviewed
2014-02-20 15:57 mkv Note Added: 0027983
2014-02-20 15:58 mkv Test case number => bugs modalg_5(010) bug24648
2014-02-20 15:58 mkv Assigned To mkv => bugmaster
2014-02-20 15:58 mkv Status reviewed => tested
2014-02-24 12:44 apn Changeset attached => occt master 1d18c75e
2014-02-24 12:44 apn Assigned To bugmaster => apn
2014-02-24 12:44 apn Status tested => verified
2014-02-24 12:44 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker